aboutsummaryrefslogtreecommitdiff
path: root/openssl/vendor/current/test/testsslproxy
diff options
context:
space:
mode:
authorRob Austein <sra@hactrn.net>2006-06-20 17:32:05 +0000
committerRob Austein <sra@hactrn.net>2006-06-20 17:32:05 +0000
commiteca4feb580cffd6af474f599efe3fe99505a525c (patch)
tree59fa47c6f197931d6da746cadf7ad37ff1ec4557 /openssl/vendor/current/test/testsslproxy
Importing OpenSSL 0.9.8b
svn path=/openssl/vendor/current/CHANGES; revision=1
Diffstat (limited to 'openssl/vendor/current/test/testsslproxy')
-rw-r--r--openssl/vendor/current/test/testsslproxy10
1 files changed, 10 insertions, 0 deletions
diff --git a/openssl/vendor/current/test/testsslproxy b/openssl/vendor/current/test/testsslproxy
new file mode 100644
index 00000000..58bbda8a
--- /dev/null
+++ b/openssl/vendor/current/test/testsslproxy
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+echo 'Testing a lot of proxy conditions.'
+echo 'Some of them may turn out being invalid, which is fine.'
+for auth in A B C BC; do
+ for cond in A B C 'A|B&!C'; do
+ sh ./testssl $1 $2 $3 "-proxy -proxy_auth $auth -proxy_cond $cond"
+ if [ $? = 3 ]; then exit 1; fi
+ done
+done